Role Elevation

Upload verification documents

Upload KYC/verification documents for role elevation

AuthBearer (JWT)
GroupRole Elevation
Rate limitSee Rate Limits
POST/api/projects/{projectId}/role-elevation/documents

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, RoleElevationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const roleelevation = new RoleElevationApi(configuration);
import { Configuration, RoleElevationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const roleelevation = new RoleElevationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await roleelevation.uploadVerificationDocuments(
  "proj_6RdS6EP7hF6E",
  {
    roleSlug: "marvelous-juggernaut-ckvk",
    documents: "feed override"
  }
);
const { data: result } = await roleelevation.uploadVerificationDocuments(
  "proj_6RdS6EP7hF6E",
  {
    roleSlug: "marvelous-juggernaut-ckvk",
    documents: "feed override"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "roleSlug": "stylish-editor-xuyg",
  "documents": [
    {
      "type": "panel navigate",
      "url": "https://tired-thyme.biz/"
    }
  ]
}
{
  "roleSlug": "stylish-editor-xuyg",
  "documents": [
    {
      "type": "panel navigate",
      "url": "https://tired-thyme.biz/"
    }
  ]
}

Responses

200Documents uploaded successfully
Edit this page on GitHub